diff options
Diffstat (limited to 'src/api/endpoints/auth/session')
| -rw-r--r-- | src/api/endpoints/auth/session/show.js | 40 |
1 files changed, 40 insertions, 0 deletions
diff --git a/src/api/endpoints/auth/session/show.js b/src/api/endpoints/auth/session/show.js index 67160c6993..b64e36a5e9 100644 --- a/src/api/endpoints/auth/session/show.js +++ b/src/api/endpoints/auth/session/show.js @@ -7,6 +7,46 @@ import AuthSess from '../../../models/auth-session'; import serialize from '../../../serializers/auth-session'; /** + * @swagger + * /auth/session/show: + * post: + * summary: Show a session information + * parameters: + * - + * name: token + * description: API Token + * in: formData + * required: true + * type: string + * + * responses: + * 200: + * description: OK + * schema: + * type: object + * properties: + * created_at: + * type: string + * format: date + * description: de + * app_id: + * type: string + * description: Application ID + * token: + * type: string + * description: API Token + * user_id: + * type: string + * description: de + * app: + * $ref: "#/definitions/Application" + * 400: + * description: Failed + * schema: + * $ref: "#/definitions/Error" + */ + +/** * Show a session * * @param {Object} params |